"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CACHE_INSTANCE = exports.CACHE_INSTANCE_ID_PROPERTY = exports.CACHE_INSTANCES_PROPERTY = exports.LRU_CACHE_OPTIONS = exports.LRU_CACHE = void 0;
/**
 * Allows you to inject the original LRU cache instance using NestJS @Inject() decorator.
 *
 * @see https://github.com/isaacs/node-lru-cache/
 */
exports.LRU_CACHE = 'LruCacheToken';
/** @internal */
exports.LRU_CACHE_OPTIONS = 'LruCacheOptionsToken';
/** @internal */
exports.CACHE_INSTANCES_PROPERTY = '__cache_instances__';
/** @internal */
exports.CACHE_INSTANCE_ID_PROPERTY = '__cache_instance_id__';
/** @internal */
exports.CACHE_INSTANCE = '__cache__';
//# sourceMappingURL=lru-cache.constants.js.map