/**
 * Allows you to inject the original LRU cache instance using NestJS @Inject() decorator.
 *
 * @see https://github.com/isaacs/node-lru-cache/
 */
export declare const LRU_CACHE = "LruCacheToken";
/** @internal */
export declare const LRU_CACHE_OPTIONS = "LruCacheOptionsToken";
/** @internal */
export declare const CACHE_INSTANCES_PROPERTY = "__cache_instances__";
/** @internal */
export declare const CACHE_INSTANCE_ID_PROPERTY = "__cache_instance_id__";
/** @internal */
export declare const CACHE_INSTANCE = "__cache__";
//# sourceMappingURL=lru-cache.constants.d.ts.map